Summary:	KDE frontend for the Clam AntiVirus virus scanner
%define release 1%{_my_ext}
%if %mdkversion < 1010
%define	__libtoolize /bin/true
%endif

Name:		klamav
Version:	0.20
Release:	%{release}
Vendor:		%{vendor}
Packager:	%{packager}
Distribution:	%{distribution}
URL:		http://sourceforge.net/projects/klamav/
License:	GPL
Group:		File tools
Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:	kdelibs-devel
Requires:	clamav
Buildroot:	%{_tmppath}/%{name}-%{version}-root

%description
This provides a KDE front end to the clamav program.
You can have it run in the background if you desire and have it setup filters in kmail.

%prep
%setup -q

%build
%configure
%make

%install
rm -Rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}/{%{_menudir},%{_miconsdir},%{_liconsdir}}
kdedesktop2mdkmenu.pl %{name} "System/File Tools" %{buildroot}/%{_datadir}/applnk/Utilities/klamav.desktop %{buildroot}/%{_menudir}/%{name}
ln -s %{_iconsdir}/locolor/16x16/apps/%{name}.png %{buildroot}/%{_miconsdir}/%{name}.png
ln -s %{_iconsdir}/hicolor/32x32/apps/%{name}.png %{buildroot}/%{_iconsdir}/%{name}.png
ln -s %{_iconsdir}/hicolor/48x48/apps/%{name}.png %{buildroot}/%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -Rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/apps/%{name}
%{_iconsdir}/*/*/*/%{name}.png
%{_datadir}/applnk/Utilities/klamav.desktop
%{_datadir}/apps/konqueror/servicemenus/klamav-dropdown.desktop
%{_datadir}/doc/HTML/en/klamav02/
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Wed Jun 04 2005 Scott Grayban <sgrayban@borgnet.us> 0.20-1bgn
  - New version

* Tue Sep 28 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.05-1mdk
- first Mandrake package
- p0 to use our clamav-db path
